Update Target Environment
PUT/accounts/{account_id}/vuln_scanner/target_environments/{target_environment_id}
Replaces a target environment. All fields must be provided.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Body ParametersJSON
Update Target Environment
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/vuln_scanner/target_environments/$TARGET_ENVIRONMENT_ID \
-X PUT \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
-d '{
"name": "Production Zone",
"target": {
"type": "zone",
"zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
},
"description": "Main production environment"
}'{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"name": "Production Zone",
"target": {
"type": "zone",
"zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
},
"description": "Main production environment"
},
"result_info": {}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"name": "Production Zone",
"target": {
"type": "zone",
"zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
},
"description": "Main production environment"
},
"result_info": {}
}